load("dd12c.rda")
load("dd8c.rda")
load("qr1m.rda")
load("qr100km.rda")
library(ggplot2)
bigobs = list(qr100km, qr1m, dd8c, dd12c)
bigobs2 = lapply(bigobs, sapply, sapply, "[", 3)
bigobs3 = sapply(bigobs2, apply, 2, median)
library(reshape2)
MT = melt(t(bigobs3))
MT$type = rep(c("QRU(100K)", "QRU(1M)", "DS(8)", "DS(12)"), 5)
names(MT) = c("ind", "size", "median runtime (sec)", "method")
MT[,4] = factor(MT[,4])
MT[,2] = factor(sub("M", "", MT[,2]))
ggp2 = ggplot(MT)
pdf(file="runtimes5.pdf", height=3, width=4)
ggp2 + geom_point(aes(y=`median runtime (sec)`, x=size, shape=method), size=4) +
  geom_line(aes(y=`median runtime (sec)`, x=size, group=method), colour="gray")
dev.off()
